Bank Mega - Feature #3804

Implementasi Mockup Employee Master Data — Reward/Grievance
08/19/2025 10:10 AM - Mr Dhafin

Status: Assigned Start date: 08/19/2025
Priority: Urgent Due date: 08/26/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk melakukan implementasi fitur Employee Master Data — Reward/Grievance sesuai dengan mockup yang
telah disediakan.

1. Employee Search Mega (Filter Pencarian)
* Fields:

Employee ID (text)

Fullname (text)

Employee Office (dropdown)

Employee Status (dropdown)

Employee Type (dropdown)

Employee Region (dropdown)

+ Functionality:

Tombol Search menampilkan hasil di Employee List.
Jika semua field kosong — tampilkan seluruh employee.
Tambahkan indikator loading saat proses search.

2. Employee List (Daftar Karyawan)

* Display: Employee ID + Employee Name.

+ Functionality:

Paging (default 20 row per page).

Sorting (by ID / Name).

Klik salah satu employee — update panel Employee Detail dan Reward/Grievance.

3. Employee Detail

* Fields yang ditampilkan:
Employee ID

External ID

Full Name

Employee Type (dropdown)
Position

Organization

Grade (dropdown)

Employee Status (Active/lnactive)
Foto Employee (default avatar bila belum ada).

+ Functionality:
Data auto-update saat employee dipilih.
Support update foto employee (upload image, validasi max 2MB, format JPG/PNG).

4. Reward / Grievance Panel

* Search Period:

Start Period (date)

End Period (date)

Tombol Search untuk filter riwayat berdasarkan periode.

+ Tabel Riwayat:
Kolom:

Warning Start
Warning End
Warning No

Warning Code
Warning Date
Violation Category
Sub Violation Category
Status

Type of Risk
Description

» Form Add/Copy:

Field Input:

Warning No

Warning Code

Warning Date

Warning Start

Warning End

Status

Type of Risk (dropdown)
Violation Category (dropdown)
Description (textarea)

« Button Action:

Save: simpan data ke DB, tampilkan notifikasi sukses/gagal.
Delete: hapus data terpilih dengan konfirmasi popup.
Cancel: reset form input.
History

#1 - 08/19/2025 02:02 PM - Mr Dhafin

- Status changed from New to Assigned

#2 - 08/19/2025 04:08 PM - Kezia Pawitra Yulianti
- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

- Priority changed from Normal to Urgent
